=== doc/driver/Makefile ===
SPHINXBUILD   = sphinx-build
SPHINXOPTS    =
SPHINXDIRS    = .
SPHINX_CONF   = conf.py
PAPER         =
PDFLATEX      = xelatex
LATEXOPTS     = -interaction=batchmode


all: default

.PHONY: default

default:
	sphinx-build -b html . build
