=== test/main_tb/iso-16845-compliance-tests/src/CMakeLists.txt ===

add_subdirectory(can_lib)
add_subdirectory(test_lib)
add_subdirectory(cosimulation)
add_subdirectory(compliance_tests)
