=== test/main_tb/iso-16845-compliance-tests/src/compliance_tests/CMakeLists.txt ===

###############################################################################
#
# Copyright (C) Ondrej Ille - All Rights Reserved
#
# Copying, publishing, distributing of this file is stricly prohibited unless
# previously aggreed with author of this text.
#
# Author: Ondrej Ille, <ondrej.ille@gmail.com>
# Date: 27.3.2020
#
###############################################################################

add_library(
    COMPLIANCE_TESTS OBJECT

    TestBase.cpp
    TestDemo.cpp
    TestIso_7_1_1.cpp
    TestIso_7_1_2.cpp
    TestIso_7_1_3.cpp
    TestIso_7_1_4.cpp
    TestIso_7_1_5.cpp
    TestIso_7_1_6.cpp
    TestIso_7_1_7.cpp
    TestIso_7_1_8.cpp
    TestIso_7_1_9.cpp
    TestIso_7_1_10.cpp
    TestIso_7_1_11.cpp
    TestIso_7_1_12.cpp

    TestIso_7_2_1.cpp
    TestIso_7_2_2.cpp
    TestIso_7_2_2_a.cpp
    TestIso_7_2_2_b.cpp
    TestIso_7_2_3.cpp
    TestIso_7_2_3_a.cpp
    TestIso_7_2_3_b.cpp
    TestIso_7_2_4.cpp
    TestIso_7_2_4_a.cpp
    TestIso_7_2_4_b.cpp
    TestIso_7_2_5.cpp
    TestIso_7_2_6.cpp
    TestIso_7_2_7.cpp
    TestIso_7_2_8.cpp
    TestIso_7_2_9.cpp
    TestIso_7_2_10.cpp
    TestIso_7_2_11.cpp

    TestIso_7_3_1.cpp
    TestIso_7_3_2.cpp
    TestIso_7_3_3.cpp
    TestIso_7_3_4.cpp

    TestIso_7_4_1.cpp
    TestIso_7_4_2.cpp
    TestIso_7_4_3.cpp
    TestIso_7_4_4.cpp
    TestIso_7_4_5.cpp
    TestIso_7_4_6.cpp
    TestIso_7_4_7.cpp

    TestIso_7_5_1.cpp
    TestIso_7_5_2.cpp
    TestIso_7_5_5.cpp
    TestIso_7_5_3.cpp
    TestIso_7_5_4.cpp
    TestIso_7_5_6.cpp
    TestIso_7_5_7.cpp

    TestIso_7_6_1.cpp
    TestIso_7_6_2.cpp
    TestIso_7_6_3.cpp
    TestIso_7_6_4.cpp
    TestIso_7_6_5.cpp
    TestIso_7_6_6.cpp
    TestIso_7_6_7.cpp
    TestIso_7_6_8.cpp
    TestIso_7_6_9.cpp
    TestIso_7_6_10.cpp
    TestIso_7_6_11.cpp
    TestIso_7_6_12.cpp
    TestIso_7_6_13.cpp
    TestIso_7_6_14.cpp
    TestIso_7_6_15.cpp
    TestIso_7_6_16.cpp
    TestIso_7_6_17.cpp
    TestIso_7_6_18.cpp
    TestIso_7_6_19.cpp
    TestIso_7_6_20.cpp
    TestIso_7_6_21.cpp
    TestIso_7_6_22.cpp
    TestIso_7_6_23.cpp

    TestIso_7_7_1.cpp
    TestIso_7_7_2.cpp
    TestIso_7_7_3.cpp
    TestIso_7_7_4.cpp
    TestIso_7_7_5.cpp
    TestIso_7_7_6.cpp
    TestIso_7_7_7.cpp
    TestIso_7_7_8.cpp
    TestIso_7_7_9_1.cpp
    TestIso_7_7_9_2.cpp
    TestIso_7_7_10.cpp
    TestIso_7_7_11.cpp

    TestIso_7_8_1_1.cpp
    TestIso_7_8_1_2.cpp
    TestIso_7_8_1_3.cpp
    TestIso_7_8_2_1.cpp
    TestIso_7_8_2_2.cpp
    TestIso_7_8_3_1.cpp
    TestIso_7_8_3_2.cpp
    TestIso_7_8_3_3.cpp
    TestIso_7_8_4_1.cpp
    TestIso_7_8_4_2.cpp
    TestIso_7_8_4_3.cpp
    TestIso_7_8_5_1.cpp
    TestIso_7_8_5_2.cpp
    TestIso_7_8_5_3.cpp
    TestIso_7_8_6_1.cpp
    TestIso_7_8_6_2.cpp
    TestIso_7_8_6_3.cpp
    TestIso_7_8_7_1.cpp
    TestIso_7_8_7_2.cpp
    TestIso_7_8_7_3.cpp
    TestIso_7_8_8_1.cpp
    TestIso_7_8_8_2.cpp
    TestIso_7_8_8_3.cpp
    TestIso_7_8_9_1.cpp
    TestIso_7_8_9_2.cpp
    TestIso_7_8_9_3.cpp

    TestIso_8_1_1.cpp
    TestIso_8_1_2.cpp
    TestIso_8_1_3.cpp
    TestIso_8_1_4.cpp
    TestIso_8_1_5.cpp
    TestIso_8_1_6.cpp
    TestIso_8_1_7.cpp
    TestIso_8_1_8.cpp

    TestIso_8_2_1.cpp
    TestIso_8_2_2.cpp
    TestIso_8_2_3.cpp
    TestIso_8_2_4.cpp
    TestIso_8_2_5.cpp
    TestIso_8_2_6.cpp
    TestIso_8_2_7.cpp
    TestIso_8_2_8.cpp

    TestIso_8_3_1.cpp
    TestIso_8_3_2.cpp
    TestIso_8_3_3.cpp
    TestIso_8_3_4.cpp

    TestIso_8_4_1.cpp
    TestIso_8_4_2.cpp
    TestIso_8_4_3.cpp
    TestIso_8_4_4.cpp
    TestIso_8_4_5.cpp

    TestIso_8_5_1.cpp
    TestIso_8_5_2.cpp
    TestIso_8_5_3.cpp
    TestIso_8_5_4.cpp
    TestIso_8_5_5.cpp
    TestIso_8_5_6.cpp
    TestIso_8_5_7.cpp
    TestIso_8_5_8.cpp
    TestIso_8_5_9.cpp
    TestIso_8_5_10.cpp
    TestIso_8_5_12.cpp
    TestIso_8_5_13.cpp
    TestIso_8_5_14.cpp
    TestIso_8_5_15.cpp

    TestIso_8_6_1.cpp
    TestIso_8_6_2.cpp
    TestIso_8_6_3.cpp
    TestIso_8_6_4.cpp
    TestIso_8_6_5.cpp
    TestIso_8_6_6.cpp
    TestIso_8_6_7.cpp
    TestIso_8_6_8.cpp
    TestIso_8_6_9.cpp
    TestIso_8_6_10.cpp
    TestIso_8_6_11.cpp
    TestIso_8_6_12.cpp
    TestIso_8_6_13.cpp
    TestIso_8_6_14.cpp
    TestIso_8_6_15.cpp
    TestIso_8_6_16.cpp
    TestIso_8_6_17.cpp
    TestIso_8_6_18.cpp
    TestIso_8_6_19.cpp
    TestIso_8_6_20.cpp
    TestIso_8_6_21.cpp

    TestIso_8_7_1.cpp
    TestIso_8_7_2.cpp
    TestIso_8_7_3.cpp
    TestIso_8_7_4.cpp
    TestIso_8_7_5.cpp
    TestIso_8_7_6.cpp
    TestIso_8_7_7.cpp
    TestIso_8_7_8.cpp
    TestIso_8_7_9.cpp

    TestIso_8_8_1_1.cpp
    TestIso_8_8_1_2.cpp
    TestIso_8_8_1_3.cpp
    TestIso_8_8_1_4.cpp
    TestIso_8_8_2_1.cpp
    TestIso_8_8_2_2.cpp
    TestIso_8_8_2_3.cpp
    TestIso_8_8_2_4.cpp
    TestIso_8_8_3_1.cpp
    TestIso_8_8_3_2.cpp
    TestIso_8_8_4_1.cpp
    TestIso_8_8_4_2.cpp
    TestIso_8_8_5_1.cpp
    TestIso_8_8_5_2.cpp

    TestIso_9_6_1.cpp
    TestIso_9_6_2.cpp
)
