=== debian/changelog ===
ctucanfd-drv (1.2.0) unstable; urgency=medium

  * Update return type of platform driver remove function for 6.11+ kernels

 -- Pavel Pisa <pisa@cmp.felk.cvut.cz>  Wed, 01 Oct 2025 16:44:18 +0200

ctucanfd-drv (1.1.0) unstable; urgency=medium

  * Use dh-dkms providing dh-sequence-dkms on newer Debian releases

 -- Pavel Pisa <pisa@cmp.felk.cvut.cz>  Tue, 19 Sep 2023 01:16:26 +0200

ctucanfd-drv (1.0.0) unstable; urgency=medium

  * Initial dkms build.

 -- Pavel Pisa <ppisa@pikron.com>  Fri, 18 Jan 2019 19:09:04 +0100
